Index: t3lib/class.t3lib_userauth.php
===================================================================
--- t3lib/class.t3lib_userauth.php	(revision 9593)
+++ t3lib/class.t3lib_userauth.php	(revision )
@@ -1,29 +1,29 @@
 <?php
 /***************************************************************
-*  Copyright notice
-*
-*  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
-*  All rights reserved
-*
-*  This script is part of the TYPO3 project. The TYPO3 project is
-*  free software; you can redistribute it and/or modify
-*  it under the terms of the GNU General Public License as published by
-*  the Free Software Foundation; either version 2 of the License, or
-*  (at your option) any later version.
-*
-*  The GNU General Public License can be found at
-*  http://www.gnu.org/copyleft/gpl.html.
-*  A copy is found in the textfile GPL.txt and important notices to the license
-*  from the author is found in LICENSE.txt distributed with these scripts.
-*
-*
-*  This script is distributed in the hope that it will be useful,
-*  but WITHOUT ANY WARRANTY; without even the implied warranty of
-*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-*  GNU General Public License for more details.
-*
-*  This copyright notice MUST APPEAR in all copies of the script!
-***************************************************************/
+ *  Copyright notice
+ *
+ *  (c) 1999-2010 Kasper Skårhøj (kasperYYYY@typo3.com)
+ *  All rights reserved
+ *
+ *  This script is part of the TYPO3 project. The TYPO3 project is
+ *  free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  The GNU General Public License can be found at
+ *  http://www.gnu.org/copyleft/gpl.html.
+ *  A copy is found in the textfile GPL.txt and important notices to the license
+ *  from the author is found in LICENSE.txt distributed with these scripts.
+ *
+ *
+ *  This script is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  This copyright notice MUST APPEAR in all copies of the script!
+ ***************************************************************/
 /**
  * Contains a base class for authentication of users in TYPO3, both frontend and backend.
  *
@@ -39,45 +39,45 @@
  *
  *
  *  111: class t3lib_userAuth
- *  195:     function start()
+ *  195:	 function start()
- *  329:     function checkAuthentication()
+ *  329:	 function checkAuthentication()
  *
- *              SECTION: User Sessions
+ *			  SECTION: User Sessions
- *  569:     function createUserSession ($tempuser)
+ *  569:	 function createUserSession ($tempuser)
- *  606:     function fetchUserSession()
+ *  606:	 function fetchUserSession()
- *  657:     function logoff()
+ *  657:	 function logoff()
  *
- *              SECTION: SQL Functions
+ *			  SECTION: SQL Functions
- *  713:     function user_where_clause()
+ *  713:	 function user_where_clause()
- *  727:     function ipLockClause()
+ *  727:	 function ipLockClause()
- *  745:     function ipLockClause_remoteIPNumber($parts)
+ *  745:	 function ipLockClause_remoteIPNumber($parts)
- *  766:     function hashLockClause()
+ *  766:	 function hashLockClause()
- *  777:     function hashLockClause_getHashInt()
+ *  777:	 function hashLockClause_getHashInt()
  *
- *              SECTION: Session and Configuration Handling
+ *			  SECTION: Session and Configuration Handling
- *  809:     function writeUC($variable='')
+ *  809:	 function writeUC($variable='')
- *  824:     function unpack_uc($theUC='')
+ *  824:	 function unpack_uc($theUC='')
- *  840:     function pushModuleData($module,$data,$noSave=0)
+ *  840:	 function pushModuleData($module,$data,$noSave=0)
- *  853:     function getModuleData($module,$type='')
+ *  853:	 function getModuleData($module,$type='')
- *  866:     function getSessionData($key)
+ *  866:	 function getSessionData($key)
- *  879:     function setAndSaveSessionData($key,$data)
+ *  879:	 function setAndSaveSessionData($key,$data)
  *
- *              SECTION: Misc
+ *			  SECTION: Misc
- *  912:     function getLoginFormData()
+ *  912:	 function getLoginFormData()
- *  939:     function processLoginData($loginData, $security_level='')
+ *  939:	 function processLoginData($loginData, $security_level='')
- *  981:     function getAuthInfoArray()
+ *  981:	 function getAuthInfoArray()
- * 1011:     function compareUident($user, $loginData, $security_level='')
+ * 1011:	 function compareUident($user, $loginData, $security_level='')
- * 1050:     function gc()
+ * 1050:	 function gc()
- * 1064:     function redirect()
+ * 1064:	 function redirect()
- * 1086:     function writelog($type,$action,$error,$details_nr,$details,$data,$tablename,$recuid,$recpid)
+ * 1086:	 function writelog($type,$action,$error,$details_nr,$details,$data,$tablename,$recuid,$recpid)
- * 1095:     function checkLogFailures()
+ * 1095:	 function checkLogFailures()
- * 1108:     function setBeUserByUid($uid)
+ * 1108:	 function setBeUserByUid($uid)
- * 1120:     function setBeUserByName($name)
+ * 1120:	 function setBeUserByName($name)
- * 1131:     function getRawUserByUid($uid)
+ * 1131:	 function getRawUserByUid($uid)
- * 1149:     function getRawUserByName($name)
+ * 1149:	 function getRawUserByName($name)
  *
- *              SECTION: Create/update user - EXPERIMENTAL
+ *			  SECTION: Create/update user - EXPERIMENTAL
- * 1188:     function fetchUserRecord($dbUser, $username, $extraWhere='' )
+ * 1188:	 function fetchUserRecord($dbUser, $username, $extraWhere='' )
  *
  * TOTAL FUNCTIONS: 29
  * (This index is automatically created/updated by the extension "extdeveval")
@@ -85,16 +85,9 @@
  */
 
 
-require_once(t3lib_extMgm::extPath('sv').'class.tx_sv_authbase.php');
+require_once(t3lib_extMgm::extPath('sv') . 'class.tx_sv_authbase.php');
 
 
-
-
-
-
-
-
-
 /**
  * Authentication of users in TYPO3
  *
@@ -109,78 +102,71 @@
  * @subpackage t3lib
  */
 class t3lib_userAuth {
-	var $global_database = '';		// Which global database to connect to
+	var $global_database = ''; // Which global database to connect to
-	var $session_table = '';		// Table to use for session data.
+	var $session_table = ''; // Table to use for session data.
-	var $name = '';					// Session/Cookie name
+	var $name = ''; // Session/Cookie name
-	var $get_name = '';				// Session/GET-var name
+	var $get_name = ''; // Session/GET-var name
 
-	var $user_table = '';			// Table in database with userdata
+	var $user_table = ''; // Table in database with userdata
-	var $username_column = '';		// Column for login-name
+	var $username_column = ''; // Column for login-name
-	var $userident_column = '';		// Column for password
+	var $userident_column = ''; // Column for password
-	var $userid_column = '';		// Column for user-id
+	var $userid_column = ''; // Column for user-id
 	var $lastLogin_column = '';
 
-	var $enablecolumns = Array (
+	var $enablecolumns = array(
-		'rootLevel' => '',			// Boolean: If true, 'AND pid=0' will be a part of the query...
+		'rootLevel' => '', // Boolean: If true, 'AND pid=0' will be a part of the query...
 		'disabled' => '',
 		'starttime' => '',
 		'endtime' => '',
 		'deleted' => ''
 	);
 
-	var $formfield_uname = ''; 			// formfield with login-name
+	var $formfield_uname = ''; // formfield with login-name
-	var $formfield_uident = ''; 		// formfield with password
+	var $formfield_uident = ''; // formfield with password
-	var $formfield_chalvalue = '';		// formfield with a unique value which is used to encrypt the password and username
+	var $formfield_chalvalue = ''; // formfield with a unique value which is used to encrypt the password and username
-	var $formfield_status = ''; 		// formfield with status: *'login', 'logout'. If empty login is not verified.
+	var $formfield_status = ''; // formfield with status: *'login', 'logout'. If empty login is not verified.
-	var $security_level = 'normal';		// sets the level of security. *'normal' = clear-text. 'challenged' = hashed password/username from form in $formfield_uident. 'superchallenged' = hashed password hashed again with username.
+	var $security_level = 'normal'; // sets the level of security. *'normal' = clear-text. 'challenged' = hashed password/username from form in $formfield_uident. 'superchallenged' = hashed password hashed again with username.
 
-	var $auth_include = '';			// this is the name of the include-file containing the login form. If not set, login CAN be anonymous. If set login IS needed.
+	var $auth_include = ''; // this is the name of the include-file containing the login form. If not set, login CAN be anonymous. If set login IS needed.
 
-	var $auth_timeout_field = 0;		// Server session lifetime. If > 0: session-timeout in seconds. If false or <0: no timeout. If string: The string is a fieldname from the usertable where the timeout can be found.
+	var $auth_timeout_field = 0; // Server session lifetime. If > 0: session-timeout in seconds. If false or <0: no timeout. If string: The string is a fieldname from the usertable where the timeout can be found.
-	var $lifetime = 0;			// Client session lifetime. 0 = Session-cookies. If session-cookies, the browser will stop the session when the browser is closed. Otherwise this specifies the lifetime of a cookie that keeps the session.
+	var $lifetime = 0; // Client session lifetime. 0 = Session-cookies. If session-cookies, the browser will stop the session when the browser is closed. Otherwise this specifies the lifetime of a cookie that keeps the session.
-	var $gc_time = 0;			// GarbageCollection. Purge all server session data older than $gc_time seconds. 0 = default to $this->timeout or use 86400 seconds (1 day) if $this->lifetime is 0
+	var $gc_time = 0; // GarbageCollection. Purge all server session data older than $gc_time seconds. 0 = default to $this->timeout or use 86400 seconds (1 day) if $this->lifetime is 0
-	var $gc_probability = 1;		// Possibility (in percent) for GarbageCollection to be run.
+	var $gc_probability = 1; // Possibility (in percent) for GarbageCollection to be run.
-	var $writeStdLog = FALSE;		// Decides if the writelog() function is called at login and logout
+	var $writeStdLog = FALSE; // Decides if the writelog() function is called at login and logout
-	var $writeAttemptLog = FALSE;		// If the writelog() functions is called if a login-attempt has be tried without success
+	var $writeAttemptLog = FALSE; // If the writelog() functions is called if a login-attempt has be tried without success
-	var $sendNoCacheHeaders = TRUE;		// If this is set, headers is sent to assure, caching is NOT done
+	var $sendNoCacheHeaders = TRUE; // If this is set, headers is sent to assure, caching is NOT done
-	var $getFallBack = FALSE;			// If this is set, authentication is also accepted by the $_GET. Notice that the identification is NOT 128bit MD5 hash but reduced. This is done in order to minimize the size for mobile-devices, such as WAP-phones
+	var $getFallBack = FALSE; // If this is set, authentication is also accepted by the $_GET. Notice that the identification is NOT 128bit MD5 hash but reduced. This is done in order to minimize the size for mobile-devices, such as WAP-phones
-	var $hash_length = 32;				// The ident-hash is normally 32 characters and should be! But if you are making sites for WAP-devices og other lowbandwidth stuff, you may shorten the length. Never let this value drop below 6. A length of 6 would give you more than 16 mio possibilities.
+	var $hash_length = 32; // The ident-hash is normally 32 characters and should be! But if you are making sites for WAP-devices og other lowbandwidth stuff, you may shorten the length. Never let this value drop below 6. A length of 6 would give you more than 16 mio possibilities.
-	var $getMethodEnabled = FALSE;		// Setting this flag true lets user-authetication happen from GET_VARS if POST_VARS are not set. Thus you may supply username/password from the URL.
+	var $getMethodEnabled = FALSE; // Setting this flag true lets user-authetication happen from GET_VARS if POST_VARS are not set. Thus you may supply username/password from the URL.
-	var $lockIP = 4;					// If set, will lock the session to the users IP address (all four numbers. Reducing to 1-3 means that only first, second or third part of the IP address is used).
+	var $lockIP = 4; // If set, will lock the session to the users IP address (all four numbers. Reducing to 1-3 means that only first, second or third part of the IP address is used).
-	var $lockHashKeyWords = 'useragent';	// Keyword list (commalist with no spaces!): "useragent". Each keyword indicates some information that can be included in a integer hash made to lock down usersessions.
+	var $lockHashKeyWords = 'useragent'; // Keyword list (commalist with no spaces!): "useragent". Each keyword indicates some information that can be included in a integer hash made to lock down usersessions.
 
-	var $warningEmail = '';				// warning -emailaddress:
+	var $warningEmail = ''; // warning -emailaddress:
-	var $warningPeriod = 3600;			// Period back in time (in seconds) in which number of failed logins are collected
+	var $warningPeriod = 3600; // Period back in time (in seconds) in which number of failed logins are collected
-	var $warningMax = 3;				// The maximum accepted number of warnings before an email is sent
+	var $warningMax = 3; // The maximum accepted number of warnings before an email is sent
-	var $checkPid = TRUE;				// If set, the user-record must $checkPid_value as pid
+	var $checkPid = TRUE; // If set, the user-record must $checkPid_value as pid
-	var $checkPid_value=0;				// The pid, the user-record must have as page-id
+	var $checkPid_value = 0; // The pid, the user-record must have as page-id
 
 		// Internals
-	var $id;							// Internal: Will contain session_id (MD5-hash)
+	var $id; // Internal: Will contain session_id (MD5-hash)
-	var $cookieId;						// Internal: Will contain the session_id gotten from cookie or GET method. This is used in statistics as a reliable cookie (one which is known to come from $_COOKIE).
+	var $cookieId; // Internal: Will contain the session_id gotten from cookie or GET method. This is used in statistics as a reliable cookie (one which is known to come from $_COOKIE).
-	var $loginFailure = FALSE;			// Indicates if an authentication was started but failed
+	var $loginFailure = FALSE; // Indicates if an authentication was started but failed
-	var $loginSessionStarted = FALSE;	// Will be set to true if the login session is actually written during auth-check.
+	var $loginSessionStarted = FALSE; // Will be set to true if the login session is actually written during auth-check.
 
-	var $user;							// Internal: Will contain user- AND session-data from database (joined tables)
+	var $user; // Internal: Will contain user- AND session-data from database (joined tables)
-	var $get_URL_ID = '';				// Internal: Will will be set to the url--ready (eg. '&login=ab7ef8d...') GET-auth-var if getFallBack is true. Should be inserted in links!
+	var $get_URL_ID = ''; // Internal: Will will be set to the url--ready (eg. '&login=ab7ef8d...') GET-auth-var if getFallBack is true. Should be inserted in links!
 
-	var $newSessionID = FALSE;			// Will be set to true if a new session ID was created
+	var $newSessionID = FALSE; // Will be set to true if a new session ID was created
-	var $forceSetCookie = FALSE;		// Will force the session cookie to be set everytime (lifetime must be 0)
+	var $forceSetCookie = FALSE; // Will force the session cookie to be set everytime (lifetime must be 0)
-	var $dontSetCookie = FALSE;			// Will prevent the setting of the session cookie (takes precedence over forceSetCookie)
+	var $dontSetCookie = FALSE; // Will prevent the setting of the session cookie (takes precedence over forceSetCookie)
-	var $challengeStoredInCookie = FALSE;	// If set, the challenge value will be stored in a session as well so the server can check that is was not forged.
+	var $challengeStoredInCookie = FALSE; // If set, the challenge value will be stored in a session as well so the server can check that is was not forged.
-	var $loginType = '';				// Login type, used for services.
+	var $loginType = ''; // Login type, used for services.
 
-	var $svConfig = array();			// "auth" services configuration array from $TYPO3_CONF_VARS['SVCONF']['auth']
+	var $svConfig = array(); // "auth" services configuration array from $TYPO3_CONF_VARS['SVCONF']['auth']
-	var $writeDevLog = FALSE; 			// write messages into the devlog?
+	var $writeDevLog = FALSE; // write messages into the devlog?
 
 
-
-
-
-
-
-
-
 	/**
 	 * Starts a user session
 	 * Typical configurations will:
@@ -196,11 +182,11 @@
 		global $TYPO3_CONF_VARS;
 
 			// backend or frontend login - used for auth services
-		$this->loginType = ($this->name=='fe_typo_user') ? 'FE' : 'BE';
+		$this->loginType = ($this->name == 'fe_typo_user') ? 'FE' : 'BE';
 
 			// set level to normal if not already set
 		if (!$this->security_level) {
-			// Notice: cannot use TYPO3_MODE here because BE user can be logged in and operate inside FE!
+				// Notice: cannot use TYPO3_MODE here because BE user can be logged in and operate inside FE!
 			$this->security_level = trim($TYPO3_CONF_VARS[$this->loginType]['loginSecurityLevel']);
 			if (!$this->security_level) {
 				$this->security_level = 'normal';
@@ -208,11 +194,19 @@
 		}
 
 			// enable dev logging if set
-		if ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['writeDevLog']) $this->writeDevLog = TRUE;
-		if ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['writeDevLog'.$this->loginType]) $this->writeDevLog = TRUE;
-		if (TYPO3_DLOG) $this->writeDevLog = TRUE;
+		if ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['writeDevLog']) {
+			$this->writeDevLog = TRUE;
+		}
+		if ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['writeDevLog' . $this->loginType]) {
+			$this->writeDevLog = TRUE;
+		}
+		if (TYPO3_DLOG) {
+			$this->writeDevLog = TRUE;
+		}
 
-		if ($this->writeDevLog) 	t3lib_div::devLog('## Beginning of auth logging.', 't3lib_userAuth');
+		if ($this->writeDevLog) {
+			t3lib_div::devLog('## Beginning of auth logging.', 't3lib_userAuth');
+		}
 
 			// Init vars.
 		$mode = '';
@@ -227,15 +221,17 @@
 		}
 
 			// If fallback to get mode....
-		if (!$id && $this->getFallBack && $this->get_name)	{
+		if (!$id && $this->getFallBack && $this->get_name) {
 			$id = isset($_GET[$this->get_name]) ? t3lib_div::_GET($this->get_name) : '';
-			if (strlen($id)!=$this->hash_length)	$id='';
+			if (strlen($id) != $this->hash_length) {
+				$id = '';
+			}
-			$mode='get';
+			$mode = 'get';
 		}
 		$this->cookieId = $id;
 
 			// If new session or client tries to fix session...
-		if (!$id || !$this->isExistingSessionRecord($id))	{
+		if (!$id || !$this->isExistingSessionRecord($id)) {
 				// New random session-$id is made
 			$id = $this->createSessionId();
 				// New session
@@ -246,8 +242,8 @@
 		$this->id = $id;
 
 			// If fallback to get mode....
-		if ($mode=='get' && $this->getFallBack && $this->get_name)	{
+		if ($mode == 'get' && $this->getFallBack && $this->get_name) {
-			$this->get_URL_ID = '&'.$this->get_name.'='.$id;
+			$this->get_URL_ID = '&' . $this->get_name . '=' . $id;
 		}
 			// Make certain that NO user is set initially
 		$this->user = '';
@@ -258,42 +254,46 @@
 			// Make certain that NO user is set initially. ->check_authentication may have set a session-record which will provide us with a user record in the next section:
 		unset($this->user);
 
-		// determine whether we need to skip session update.
-		// This is used mainly for checking session timeout without
-		// refreshing the session itself while checking.
+			// determine whether we need to skip session update.
+			// This is used mainly for checking session timeout without
+			// refreshing the session itself while checking.
 		if (t3lib_div::_GP('skipSessionUpdate')) {
-			$skipSessionUpdate = true;
+			$skipSessionUpdate = TRUE;
 		} else {
-			$skipSessionUpdate = false;
+			$skipSessionUpdate = FALSE;
 		}
 
 			// re-read user session
 		$this->user = $this->fetchUserSession($skipSessionUpdate);
 
-		if ($this->writeDevLog && is_array($this->user)) 	t3lib_div::devLog('User session finally read: '.t3lib_div::arrayToLogString($this->user, array($this->userid_column,$this->username_column)), 't3lib_userAuth', -1);
-		if ($this->writeDevLog && !is_array($this->user)) t3lib_div::devLog('No user session found.', 't3lib_userAuth', 2);
+		if ($this->writeDevLog && is_array($this->user)) {
+			t3lib_div::devLog('User session finally read: ' . t3lib_div::arrayToLogString($this->user, array($this->userid_column, $this->username_column)), 't3lib_userAuth', -1);
+		}
+		if ($this->writeDevLog && !is_array($this->user)) {
+			t3lib_div::devLog('No user session found.', 't3lib_userAuth', 2);
+		}
 
 			// Setting cookies
-		if (!$this->dontSetCookie)	{
+		if (!$this->dontSetCookie) {
 			$this->setSessionCookie();
 		}
 
 			// Hook for alternative ways of filling the $this->user array (is used by the "timtaw" extension)
-		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['postUserLookUp']))	{
+		if (is_array($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['postUserLookUp'])) {
-			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['postUserLookUp'] as $funcName)	{
+			foreach ($TYPO3_CONF_VARS['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['postUserLookUp'] as $funcName) {
 				$_params = array(
 					'pObj' => &$this,
 				);
-				t3lib_div::callUserFunction($funcName,$_params,$this);
+				t3lib_div::callUserFunction($funcName, $_params, $this);
 			}
 		}
 
 			// If any redirection (inclusion of file) then it will happen in this function
-		if (!$this->userid && $this->auth_url)	{ // if no userid AND an include-document for login is given
+		if (!$this->userid && $this->auth_url) { // if no userid AND an include-document for login is given
 			$this->redirect();
 		}
 			// Set all posible headers that could ensure that the script is not cached on the client-side
-		if ($this->sendNoCacheHeaders)	{
+		if ($this->sendNoCacheHeaders) {
 			header('Expires: 0');
 			header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT');
 			header('Cache-Control: no-cache, must-revalidate');
@@ -301,12 +301,12 @@
 		}
 
 			// Set $this->gc_time if not explicitely specified
-		if ($this->gc_time==0)	{
+		if ($this->gc_time == 0) {
-			$this->gc_time = ($this->auth_timeout_field==0 ? 86400 : $this->auth_timeout_field);	// Default to 1 day if $this->auth_timeout_field is 0
+			$this->gc_time = ($this->auth_timeout_field == 0 ? 86400 : $this->auth_timeout_field); // Default to 1 day if $this->auth_timeout_field is 0
 		}
 
 			// If we're lucky we'll get to clean up old sessions....
-		if ((rand()%100) <= $this->gc_probability)	{
+		if ((rand() % 100) <= $this->gc_probability) {
 			$this->gc();
 		}
 
@@ -324,19 +324,19 @@
 		if ($isSetSessionCookie || $isRefreshTimeBasedCookie) {
 			$settings = $GLOBALS['TYPO3_CONF_VARS']['SYS'];
 
-			// Get the domain to be used for the cookie (if any):
+				// Get the domain to be used for the cookie (if any):
 			$cookieDomain = $this->getCookieDomain();
-			// If no cookie domain is set, use the base path:
+				// If no cookie domain is set, use the base path:
 			$cookiePath = ($cookieDomain ? '/' : t3lib_div::getIndpEnv('TYPO3_SITE_PATH'));
-			// If the cookie lifetime is set, use it:
+				// If the cookie lifetime is set, use it:
 			$cookieExpire = ($isRefreshTimeBasedCookie ? $GLOBALS['EXEC_TIME'] + $this->lifetime : 0);
-			// Use the secure option when the current request is served by a secure connection:
+				// Use the secure option when the current request is served by a secure connection:
-			$cookieSecure = (bool)$settings['cookieSecure'] && t3lib_div::getIndpEnv('TYPO3_SSL');
+			$cookieSecure = (bool) $settings['cookieSecure'] && t3lib_div::getIndpEnv('TYPO3_SSL');
-			// Deliver cookies only via HTTP and prevent possible XSS by JavaScript:
+				// Deliver cookies only via HTTP and prevent possible XSS by JavaScript:
-			$cookieHttpOnly = (bool)$settings['cookieHttpOnly'];
+			$cookieHttpOnly = (bool) $settings['cookieHttpOnly'];
 
-			// Do not set cookie if cookieSecure is set to "1" (force HTTPS) and no secure channel is used:
+				// Do not set cookie if cookieSecure is set to "1" (force HTTPS) and no secure channel is used:
-			if ((int)$settings['cookieSecure'] !== 1 || t3lib_div::getIndpEnv('TYPO3_SSL')) {
+			if ((int) $settings['cookieSecure'] !== 1 || t3lib_div::getIndpEnv('TYPO3_SSL')) {
 				setcookie(
 					$this->name,
 					$this->id,
@@ -355,7 +355,7 @@
 
 			if ($this->writeDevLog) {
 				$devLogMessage = ($isRefreshTimeBasedCookie ? 'Updated Cookie: ' : 'Set Cookie: ') . $this->id;
-				t3lib_div::devLog($devLogMessage . ($cookieDomain ? ', '.$cookieDomain : ''), 't3lib_userAuth');
+				t3lib_div::devLog($devLogMessage . ($cookieDomain ? ', ' . $cookieDomain : ''), 't3lib_userAuth');
 			}
 		}
 	}
@@ -411,12 +411,12 @@
 			foreach ($cookies as $cookie) {
 				list ($name, $value) = t3lib_div::trimExplode('=', $cookie);
 				if (strcmp(trim($name), $cookieName) == 0) {
-					// Use the last one
+						// Use the last one
 					$cookieValue = urldecode($value);
 				}
 			}
 		} else {
-			// Fallback if there is no HTTP_COOKIE, use original method:
+				// Fallback if there is no HTTP_COOKIE, use original method:
 			$cookieValue = isset($_COOKIE[$cookieName]) ? stripslashes($_COOKIE[$cookieName]) : '';
 		}
 		return $cookieValue;
@@ -429,7 +429,7 @@
 	 * @internal
 	 */
 	function isSetSessionCookie() {
-		return ($this->newSessionID || $this->forceSetCookie) && $this->lifetime==0;
+		return ($this->newSessionID || $this->forceSetCookie) && $this->lifetime == 0;
 	}
 
 	/**
@@ -463,7 +463,9 @@
 			// Indicates if an active authentication failed (not auto login)
 		$this->loginFailure = FALSE;
 
-		if ($this->writeDevLog) 	t3lib_div::devLog('Login type: '.$this->loginType, 't3lib_userAuth');
+		if ($this->writeDevLog) {
+			t3lib_div::devLog('Login type: ' . $this->loginType, 't3lib_userAuth');
+		}
 
 			// The info array provide additional information for auth services
 		$authInfo = $this->getAuthInfoArray();
@@ -471,30 +473,36 @@
 			// Get Login/Logout data submitted by a form or params
 		$loginData = $this->getLoginFormData();
 
-		if ($this->writeDevLog) 	t3lib_div::devLog('Login data: '.t3lib_div::arrayToLogString($loginData), 't3lib_userAuth');
+		if ($this->writeDevLog) {
+			t3lib_div::devLog('Login data: ' . t3lib_div::arrayToLogString($loginData), 't3lib_userAuth');
+		}
 
 
 			// active logout (eg. with "logout" button)
-		if ($loginData['status']=='logout') {
+		if ($loginData['status'] == 'logout') {
 			if ($this->writeStdLog) {
-				// $type,$action,$error,$details_nr,$details,$data,$tablename,$recuid,$recpid
+					// $type,$action,$error,$details_nr,$details,$data,$tablename,$recuid,$recpid
 				$this->writelog(255, 2, 0, 2, 'User %s logged out', array($this->user['username']), '', 0, 0);
-			}	// Logout written to log
+			} // Logout written to log
-			if ($this->writeDevLog) 	t3lib_div::devLog('User logged out. Id: '.$this->id, 't3lib_userAuth', -1);
+			if ($this->writeDevLog) {
+				t3lib_div::devLog('User logged out. Id: ' . $this->id, 't3lib_userAuth', -1);
+			}
 
 			$this->logoff();
 		}
 
 			// active login (eg. with login form)
-		if ($loginData['status']=='login') {
+		if ($loginData['status'] == 'login') {
 			$activeLogin = TRUE;
 
-			if ($this->writeDevLog) 	t3lib_div::devLog('Active login (eg. with login form)', 't3lib_userAuth');
+			if ($this->writeDevLog) {
+				t3lib_div::devLog('Active login (eg. with login form)', 't3lib_userAuth');
+			}
 
 				// check referer for submitted login values
-			if ($this->formfield_status && $loginData['uident'] && $loginData['uname'])	{
+			if ($this->formfield_status && $loginData['uident'] && $loginData['uname']) {
 				$httpHost = t3lib_div::getIndpEnv('TYPO3_HOST_ONLY');
-				if (!$this->getMethodEnabled && ($httpHost!=$authInfo['refInfo']['host'] && !$GLOBALS['TYPO3_CONF_VARS']['SYS']['doNotCheckReferer']))	{
+				if (!$this->getMethodEnabled && ($httpHost != $authInfo['refInfo']['host'] && !$GLOBALS['TYPO3_CONF_VARS']['SYS']['doNotCheckReferer'])) {
 					throw new RuntimeException(
 						'TYPO3 Fatal Error: Error: This host address ("' . $httpHost . '") and the referer host ("' . $authInfo['refInfo']['host'] . '") mismatches!<br />
 						It\'s possible that the environment variable HTTP_REFERER is not passed to the script because of a proxy.<br />
@@ -509,7 +517,7 @@
 
 				// Refuse login for _CLI users, if not processing a CLI request type
 				// (although we shouldn't be here in case of a CLI request type)
-			if ((strtoupper(substr($loginData['uname'],0,5)) == '_CLI_') && !(TYPO3_REQUESTTYPE & TYPO3_REQUESTTYPE_CLI)) {
+			if ((strtoupper(substr($loginData['uname'], 0, 5)) == '_CLI_') && !(TYPO3_REQUESTTYPE & TYPO3_REQUESTTYPE_CLI)) {
 				throw new RuntimeException(
 					'TYPO3 Fatal Error: You have tried to login using a CLI user. Access prohibited!',
 					1270853931
@@ -518,49 +526,51 @@
 		}
 
 
-		// the following code makes auto-login possible (if configured). No submitted data needed
+			// the following code makes auto-login possible (if configured). No submitted data needed
 
-		// determine whether we need to skip session update.
-		// This is used mainly for checking session timeout without
-		// refreshing the session itself while checking.
+			// determine whether we need to skip session update.
+			// This is used mainly for checking session timeout without
+			// refreshing the session itself while checking.
 		if (t3lib_div::_GP('skipSessionUpdate')) {
-			$skipSessionUpdate = true;
+			$skipSessionUpdate = TRUE;
 		} else {
-			$skipSessionUpdate = false;
+			$skipSessionUpdate = FALSE;
 		}
 
 			// re-read user session
 		$authInfo['userSession'] = $this->fetchUserSession($skipSessionUpdate);
 		$haveSession = is_array($authInfo['userSession']) ? TRUE : FALSE;
 
-		if ($this->writeDevLog)	{
+		if ($this->writeDevLog) {
-			if ($haveSession)	{
+			if ($haveSession) {
-				t3lib_div::devLog('User session found: '.t3lib_div::arrayToLogString($authInfo['userSession'], array($this->userid_column,$this->username_column)), 't3lib_userAuth', 0);
+				t3lib_div::devLog('User session found: ' . t3lib_div::arrayToLogString($authInfo['userSession'], array($this->userid_column, $this->username_column)), 't3lib_userAuth', 0);
 			}
-			if (is_array($this->svConfig['setup']))	{
+			if (is_array($this->svConfig['setup'])) {
-				t3lib_div::devLog('SV setup: '.t3lib_div::arrayToLogString($this->svConfig['setup']), 't3lib_userAuth', 0);
+				t3lib_div::devLog('SV setup: ' . t3lib_div::arrayToLogString($this->svConfig['setup']), 't3lib_userAuth', 0);
 			}
 		}
 
 			// fetch user if ...
 		if ($activeLogin
-				|| (!$haveSession && $this->svConfig['setup'][$this->loginType.'_fetchUserIfNoSession'])
+			|| (!$haveSession && $this->svConfig['setup'][$this->loginType . '_fetchUserIfNoSession'])
-				|| $this->svConfig['setup'][$this->loginType.'_alwaysFetchUser']) {
+			|| $this->svConfig['setup'][$this->loginType . '_alwaysFetchUser']) {
 
 				// use 'auth' service to find the user
 				// first found user will be used
 			$serviceChain = '';
-			$subType = 'getUser'.$this->loginType;
+			$subType = 'getUser' . $this->loginType;
 			while (is_object($serviceObj = t3lib_div::makeInstanceService('auth', $subType, $serviceChain))) {
-				$serviceChain.=','.$serviceObj->getServiceKey();
+				$serviceChain .= ',' . $serviceObj->getServiceKey();
 				$serviceObj->initAuth($subType, $loginData, $authInfo, $this);
-				if ($row=$serviceObj->getUser()) {
+				if ($row = $serviceObj->getUser()) {
 					$tempuserArr[] = $row;
 
-					if ($this->writeDevLog) 	t3lib_div::devLog('User found: '.t3lib_div::arrayToLogString($row, array($this->userid_column,$this->username_column)), 't3lib_userAuth', 0);
+					if ($this->writeDevLog) {
+						t3lib_div::devLog('User found: ' . t3lib_div::arrayToLogString($row, array($this->userid_column, $this->username_column)), 't3lib_userAuth', 0);
+					}
 
 						// user found, just stop to search for more if not configured to go on
-					if(!$this->svConfig['setup'][$this->loginType.'_fetchAllUsers']) {
+					if (!$this->svConfig['setup'][$this->loginType . '_fetchAllUsers']) {
 						break;
 					}
 				}
@@ -568,51 +578,65 @@
 			}
 			unset($serviceObj);
 
-			if ($this->writeDevLog && $this->svConfig['setup'][$this->loginType.'_alwaysFetchUser']) 	t3lib_div::devLog($this->loginType.'_alwaysFetchUser option is enabled', 't3lib_userAuth');
-			if ($this->writeDevLog && $serviceChain) 	t3lib_div::devLog($subType.' auth services called: '.$serviceChain, 't3lib_userAuth');
-			if ($this->writeDevLog && !count($tempuserArr)) 	t3lib_div::devLog('No user found by services', 't3lib_userAuth');
-			if ($this->writeDevLog && count($tempuserArr)) 	t3lib_div::devLog(count($tempuserArr).' user records found by services', 't3lib_userAuth');
+			if ($this->writeDevLog && $this->svConfig['setup'][$this->loginType . '_alwaysFetchUser']) {
+				t3lib_div::devLog($this->loginType . '_alwaysFetchUser option is enabled', 't3lib_userAuth');
-		}
+			}
+			if ($this->writeDevLog && $serviceChain) {
+				t3lib_div::devLog($subType . ' auth services called: ' . $serviceChain, 't3lib_userAuth');
+			}
+			if ($this->writeDevLog && !count($tempuserArr)) {
+				t3lib_div::devLog('No user found by services', 't3lib_userAuth');
+			}
+			if ($this->writeDevLog && count($tempuserArr)) {
+				t3lib_div::devLog(count($tempuserArr) . ' user records found by services', 't3lib_userAuth');
+			}
+		}
 
 
 			// If no new user was set we use the already found user session
-		if (!count($tempuserArr) && $haveSession)	{
+		if (!count($tempuserArr) && $haveSession) {
 			$tempuserArr[] = $authInfo['userSession'];
 			$tempuser = $authInfo['userSession'];
 				// User is authenticated because we found a user session
 			$authenticated = TRUE;
 
-			if ($this->writeDevLog) 	t3lib_div::devLog('User session used: '.t3lib_div::arrayToLogString($authInfo['userSession'], array($this->userid_column,$this->username_column)), 't3lib_userAuth');
+			if ($this->writeDevLog) {
+				t3lib_div::devLog('User session used: ' . t3lib_div::arrayToLogString($authInfo['userSession'], array($this->userid_column, $this->username_column)), 't3lib_userAuth');
-		}
+			}
+		}
 
 
 			// Re-auth user when 'auth'-service option is set
-		if ($this->svConfig['setup'][$this->loginType.'_alwaysAuthUser']) {
+		if ($this->svConfig['setup'][$this->loginType . '_alwaysAuthUser']) {
 			$authenticated = FALSE;
-			if ($this->writeDevLog) 	t3lib_div::devLog('alwaysAuthUser option is enabled', 't3lib_userAuth');
+			if ($this->writeDevLog) {
+				t3lib_div::devLog('alwaysAuthUser option is enabled', 't3lib_userAuth');
-		}
+			}
+		}
 
 
 			// Authenticate the user if needed
-		if (count($tempuserArr) && !$authenticated)	{
+		if (count($tempuserArr) && !$authenticated) {
 
-			foreach ($tempuserArr as $tempuser)	{
+			foreach ($tempuserArr as $tempuser) {
 
-				// use 'auth' service to authenticate the user
-				// if one service returns FALSE then authentication failed
-				// a service might return 100 which means there's no reason to stop but the user can't be authenticated by that service
+					// use 'auth' service to authenticate the user
+					// if one service returns FALSE then authentication failed
+					// a service might return 100 which means there's no reason to stop but the user can't be authenticated by that service
 
-				if ($this->writeDevLog) 	t3lib_div::devLog('Auth user: '.t3lib_div::arrayToLogString($tempuser), 't3lib_userAuth');
+				if ($this->writeDevLog) {
+					t3lib_div::devLog('Auth user: ' . t3lib_div::arrayToLogString($tempuser), 't3lib_userAuth');
+				}
 
-				$serviceChain='';
+				$serviceChain = '';
-				$subType = 'authUser'.$this->loginType;
+				$subType = 'authUser' . $this->loginType;
 				while (is_object($serviceObj = t3lib_div::makeInstanceService('auth', $subType, $serviceChain))) {
-					$serviceChain.=','.$serviceObj->getServiceKey();
+					$serviceChain .= ',' . $serviceObj->getServiceKey();
 					$serviceObj->initAuth($subType, $loginData, $authInfo, $this);
-					if (($ret=$serviceObj->authUser($tempuser)) > 0) {
+					if (($ret = $serviceObj->authUser($tempuser)) > 0) {
 
 							// if the service returns >=200 then no more checking is needed - useful for IP checking without password
-						if (intval($ret) >= 200)	{
+						if (intval($ret) >= 200) {
 							$authenticated = TRUE;
 							break;
 						} elseif (intval($ret) >= 100) {
@@ -629,7 +653,9 @@
 				}
 				unset($serviceObj);
 
-				if ($this->writeDevLog && $serviceChain) 	t3lib_div::devLog($subType.' auth services called: '.$serviceChain, 't3lib_userAuth');
+				if ($this->writeDevLog && $serviceChain) {
+					t3lib_div::devLog($subType . ' auth services called: ' . $serviceChain, 't3lib_userAuth');
+				}
 
 				if ($authenticated) {
 						// leave foreach() because a user is authenticated
@@ -639,15 +665,15 @@
 		}
 
 			// If user is authenticated a valid user is in $tempuser
-		if ($authenticated)	{
+		if ($authenticated) {
 				// reset failure flag
 			$this->loginFailure = FALSE;
 
 				// Insert session record if needed:
 			if (!($haveSession && (
-				$tempuser['ses_id']==$this->id || 	// check if the tempuser has the current session id
+					$tempuser['ses_id'] == $this->id || // check if the tempuser has the current session id
-				$tempuser['uid']==$authInfo['userSession']['ses_userid'] 	// check if the tempuser has the uid of the fetched session user
+					$tempuser['uid'] == $authInfo['userSession']['ses_userid'] // check if the tempuser has the uid of the fetched session user
-				))) {
+			))) {
 				$this->createUserSession($tempuser);
 
 					// The login session is started.
@@ -656,25 +682,29 @@
 
 				// User logged in - write that to the log!
 			if ($this->writeStdLog && $activeLogin) {
-				$this->writelog(255,1,0,1,
+				$this->writelog(255, 1, 0, 1,
-					'User %s logged in from %s (%s)',
+								'User %s logged in from %s (%s)',
-					Array($tempuser[$this->username_column], t3lib_div::getIndpEnv('REMOTE_ADDR'), t3lib_div::getIndpEnv('REMOTE_HOST')),
+								array($tempuser[$this->username_column], t3lib_div::getIndpEnv('REMOTE_ADDR'), t3lib_div::getIndpEnv('REMOTE_HOST')),
-					'','','',-1,'',$tempuser['uid']
+								'', '', '', -1, '', $tempuser['uid']
 				);
 			}
 
-			if ($this->writeDevLog && $activeLogin) 	t3lib_div::devLog('User '.$tempuser[$this->username_column].' logged in from '.t3lib_div::getIndpEnv('REMOTE_ADDR').' ('.t3lib_div::getIndpEnv('REMOTE_HOST').')', 't3lib_userAuth', -1);
-			if ($this->writeDevLog && !$activeLogin) 	t3lib_div::devLog('User '.$tempuser[$this->username_column].' authenticated from '.t3lib_div::getIndpEnv('REMOTE_ADDR').' ('.t3lib_div::getIndpEnv('REMOTE_HOST').')', 't3lib_userAuth', -1);
+			if ($this->writeDevLog && $activeLogin) {
+				t3lib_div::devLog('User ' . $tempuser[$this->username_column] . ' logged in from ' . t3lib_div::getIndpEnv('REMOTE_ADDR') . ' (' . t3lib_div::getIndpEnv('REMOTE_HOST') . ')', 't3lib_userAuth', -1);
+			}
+			if ($this->writeDevLog && !$activeLogin) {
+				t3lib_div::devLog('User ' . $tempuser[$this->username_column] . ' authenticated from ' . t3lib_div::getIndpEnv('REMOTE_ADDR') . ' (' . t3lib_div::getIndpEnv('REMOTE_HOST') . ')', 't3lib_userAuth', -1);
+			}
 
-			if($GLOBALS['TYPO3_CONF_VARS']['BE']['lockSSL'] == 3 && $this->user_table == 'be_users')	{
+			if ($GLOBALS['TYPO3_CONF_VARS']['BE']['lockSSL'] == 3 && $this->user_table == 'be_users') {
-				$requestStr = substr(t3lib_div::getIndpEnv('TYPO3_REQUEST_SCRIPT'), strlen(t3lib_div::getIndpEnv('TYPO3_SITE_URL').TYPO3_mainDir));
+				$requestStr = substr(t3lib_div::getIndpEnv('TYPO3_REQUEST_SCRIPT'), strlen(t3lib_div::getIndpEnv('TYPO3_SITE_URL') . TYPO3_mainDir));
 				$backendScript = t3lib_BEfunc::getBackendScript();
-				if($requestStr == $backendScript && t3lib_div::getIndpEnv('TYPO3_SSL'))	{
+				if ($requestStr == $backendScript && t3lib_div::getIndpEnv('TYPO3_SSL')) {
-					list(,$url) = explode('://',t3lib_div::getIndpEnv('TYPO3_SITE_URL'),2);
+					list(, $url) = explode('://', t3lib_div::getIndpEnv('TYPO3_SITE_URL'), 2);
-					list($server,$address) = explode('/',$url,2);
+					list($server, $address) = explode('/', $url, 2);
 					if (intval($GLOBALS['TYPO3_CONF_VARS']['BE']['lockSSLPort'])) {
-						$sslPortSuffix = ':'.intval($GLOBALS['TYPO3_CONF_VARS']['BE']['lockSSLPort']);
+						$sslPortSuffix = ':' . intval($GLOBALS['TYPO3_CONF_VARS']['BE']['lockSSLPort']);
-						$server = str_replace($sslPortSuffix,'',$server);	// strip port from server
+						$server = str_replace($sslPortSuffix, '', $server); // strip port from server
 					}
 					t3lib_utility_Http::redirect('http://' . $server . '/' . $address . TYPO3_mainDir . $backendScript);
 				}
@@ -683,14 +713,20 @@
 		} elseif ($activeLogin || count($tempuserArr)) {
 			$this->loginFailure = TRUE;
 
-			if ($this->writeDevLog && !count($tempuserArr) && $activeLogin) 	t3lib_div::devLog('Login failed: '.t3lib_div::arrayToLogString($loginData), 't3lib_userAuth', 2);
-			if ($this->writeDevLog && count($tempuserArr)) 	t3lib_div::devLog('Login failed: '.t3lib_div::arrayToLogString($tempuser, array($this->userid_column,$this->username_column)), 't3lib_userAuth', 2);
+			if ($this->writeDevLog && !count($tempuserArr) && $activeLogin) {
+				t3lib_div::devLog('Login failed: ' . t3lib_div::arrayToLogString($loginData), 't3lib_userAuth', 2);
-		}
+			}
+			if ($this->writeDevLog && count($tempuserArr)) {
+				t3lib_div::devLog('Login failed: ' . t3lib_div::arrayToLogString($tempuser, array($this->userid_column, $this->username_column)), 't3lib_userAuth', 2);
+			}
+		}
 
 
 			// If there were a login failure, check to see if a warning email should be sent:
-		if ($this->loginFailure && $activeLogin)	{
+		if ($this->loginFailure && $activeLogin) {
-			if ($this->writeDevLog) 	t3lib_div::devLog('Call checkLogFailures: '.t3lib_div::arrayToLogString(array('warningEmail'=>$this->warningEmail,'warningPeriod'=>$this->warningPeriod,'warningMax'=>$this->warningMax,)), 't3lib_userAuth', -1);
+			if ($this->writeDevLog) {
+				t3lib_div::devLog('Call checkLogFailures: ' . t3lib_div::arrayToLogString(array('warningEmail' => $this->warningEmail, 'warningPeriod' => $this->warningPeriod, 'warningMax' => $this->warningMax,)), 't3lib_userAuth', -1);
+			}
 
 			$this->checkLogFailures($this->warningEmail, $this->warningPeriod, $this->warningMax);
 		}
@@ -706,15 +742,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
 	/*************************
 	 *
 	 * User Sessions
@@ -728,28 +755,30 @@
 	 * @param	array		user data array
 	 * @return	void
 	 */
-	function createUserSession ($tempuser) {
+	function createUserSession($tempuser) {
 
-		if ($this->writeDevLog) 	t3lib_div::devLog('Create session ses_id = '.$this->id, 't3lib_userAuth');
+		if ($this->writeDevLog) {
+			t3lib_div::devLog('Create session ses_id = ' . $this->id, 't3lib_userAuth');
+		}
 
 			// delete session entry first
 		$GLOBALS['TYPO3_DB']->exec_DELETEquery(
-					$this->session_table,
+			$this->session_table,
-					'ses_id = '.$GLOBALS['TYPO3_DB']->fullQuoteStr($this->id, $this->session_table).'
+			'ses_id = ' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->id, $this->session_table) . '
-						AND ses_name = '.$GLOBALS['TYPO3_DB']->fullQuoteStr($this->name, $this->session_table)
+						AND ses_name = ' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->name, $this->session_table)
-				);
+		);
 
 			// re-create session entry
 		$insertFields = $this->getNewSessionRecord($tempuser);
 		$GLOBALS['TYPO3_DB']->exec_INSERTquery($this->session_table, $insertFields);
 
 			// Updating lastLogin_column carrying information about last login.
-		if ($this->lastLogin_column)	{
+		if ($this->lastLogin_column) {
 			$GLOBALS['TYPO3_DB']->exec_UPDATEquery(
-									$this->user_table,
+				$this->user_table,
-									$this->userid_column.'='.$GLOBALS['TYPO3_DB']->fullQuoteStr($tempuser[$this->userid_column], $this->user_table),
+				$this->userid_column . '=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($tempuser[$this->userid_column], $this->user_table),
-									array($this->lastLogin_column => $GLOBALS['EXEC_TIME'])
-								);
+				array($this->lastLogin_column => $GLOBALS['EXEC_TIME'])
+			);
 		}
 	}
 
@@ -775,11 +804,13 @@
 	 *
 	 * @return	array		user session data
 	 */
-	function fetchUserSession($skipSessionUpdate = false) {
+	function fetchUserSession($skipSessionUpdate = FALSE) {
 
 		$user = '';
 
-		if ($this->writeDevLog) 	t3lib_div::devLog('Fetch session ses_id = '.$this->id, 't3lib_userAuth');
+		if ($this->writeDevLog) {
+			t3lib_div::devLog('Fetch session ses_id = ' . $this->id, 't3lib_userAuth');
+		}
 
 			// fetch the user session from the DB
 		$statement = $this->fetchUserSessionFromDB();
@@ -792,29 +823,29 @@
 
 		if ($statement && $user) {
 				// A user was found
-			if (is_string($this->auth_timeout_field))	{
+			if (is_string($this->auth_timeout_field)) {
-				$timeout = intval($user[$this->auth_timeout_field]);		// Get timeout-time from usertable
+				$timeout = intval($user[$this->auth_timeout_field]); // Get timeout-time from usertable
 			} else {
-				$timeout = intval($this->auth_timeout_field);					// Get timeout from object
+				$timeout = intval($this->auth_timeout_field); // Get timeout from object
 			}
 				// If timeout > 0 (true) and currenttime has not exceeded the latest sessions-time plus the timeout in seconds then accept user
 				// Option later on: We could check that last update was at least x seconds ago in order not to update twice in a row if one script redirects to another...
-			if ($timeout>0 && ($GLOBALS['EXEC_TIME'] < ($user['ses_tstamp']+$timeout)))	{
+			if ($timeout > 0 && ($GLOBALS['EXEC_TIME'] < ($user['ses_tstamp'] + $timeout))) {
-				if(!$skipSessionUpdate) {
+				if (!$skipSessionUpdate) {
 					$GLOBALS['TYPO3_DB']->exec_UPDATEquery(
-											$this->session_table,
+						$this->session_table,
-											'ses_id='.$GLOBALS['TYPO3_DB']->fullQuoteStr($this->id, $this->session_table).'
+						'ses_id=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->id, $this->session_table) . '
-												AND ses_name='.$GLOBALS['TYPO3_DB']->fullQuoteStr($this->name, $this->session_table),
+												AND ses_name=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->name, $this->session_table),
-											array('ses_tstamp' => $GLOBALS['EXEC_TIME'])
-										);
+						array('ses_tstamp' => $GLOBALS['EXEC_TIME'])
+					);
-					$user['ses_tstamp'] = $GLOBALS['EXEC_TIME'];	// Make sure that the timestamp is also updated in the array
+					$user['ses_tstamp'] = $GLOBALS['EXEC_TIME']; // Make sure that the timestamp is also updated in the array
 				}
 
 			} else {
-				$this->logoff();		// delete any user set...
+				$this->logoff(); // delete any user set...
 			}
 		} else {
-			$this->logoff();		// delete any user set...
+			$this->logoff(); // delete any user set...
 		}
 		return $user;
 	}
@@ -826,32 +857,34 @@
 	 * @return	void
 	 */
 	function logoff() {
-		if ($this->writeDevLog) 	t3lib_div::devLog('logoff: ses_id = '.$this->id, 't3lib_userAuth');
+		if ($this->writeDevLog) {
+			t3lib_div::devLog('logoff: ses_id = ' . $this->id, 't3lib_userAuth');
+		}
 
 			// Hook for pre-processing the logoff() method, requested and implemented by andreas.otto@dkd.de:
-		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_pre_processing']))	{
+		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_pre_processing'])) {
 			$_params = array();
-			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_pre_processing'] as $_funcRef)	{
+			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_pre_processing'] as $_funcRef) {
-				if ($_funcRef)	{
+				if ($_funcRef) {
-					t3lib_div::callUserFunction($_funcRef,$_params,$this);
+					t3lib_div::callUserFunction($_funcRef, $_params, $this);
 				}
 			}
 		}
 
 		$GLOBALS['TYPO3_DB']->exec_DELETEquery(
-					$this->session_table,
+			$this->session_table,
-					'ses_id = '.$GLOBALS['TYPO3_DB']->fullQuoteStr($this->id, $this->session_table).'
+			'ses_id = ' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->id, $this->session_table) . '
-						AND ses_name = '.$GLOBALS['TYPO3_DB']->fullQuoteStr($this->name, $this->session_table)
+						AND ses_name = ' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->name, $this->session_table)
-				);
+		);
 
 		$this->user = '';
 
 			// Hook for post-processing the logoff() method, requested and implemented by andreas.otto@dkd.de:
-		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_post_processing']))	{
+		if (is_array($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_post_processing'])) {
 			$_params = array();
-			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_post_processing'] as $_funcRef)	{
+			foreach ($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_userauth.php']['logoff_post_processing'] as $_funcRef) {
-				if ($_funcRef)	{
+				if ($_funcRef) {
-					t3lib_div::callUserFunction($_funcRef,$_params,$this);
+					t3lib_div::callUserFunction($_funcRef, $_params, $this);
 				}
 			}
 		}
@@ -878,17 +911,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
 	/*************************
 	 *
 	 * SQL Functions
@@ -906,12 +928,12 @@
 	 * @access private
 	 */
 	protected function fetchUserSessionFromDB() {
-		$statement = null;
+		$statement = NULL;
 		$ipLockClause = $this->ipLockClause();
 
 		if ($GLOBALS['CLIENT']['BROWSER'] == 'flash') {
-			// if on the flash client, the veri code is valid, then the user session is fetched
-			// from the DB without the hashLock clause
+				// if on the flash client, the veri code is valid, then the user session is fetched
+				// from the DB without the hashLock clause
 			if (t3lib_div::_GP('vC') == $this->veriCode()) {
 				$statement = $GLOBALS['TYPO3_DB']->prepare_SELECTquery(
 					'*',
@@ -923,9 +945,9 @@
 						' . $this->user_where_clause()
 				);
 				$statement->bindValues(array(
-					':ses_id'     => $this->id,
+											':ses_id' => $this->id,
-					':ses_name'   => $this->name,
+											':ses_name' => $this->name,
-				));
+									   ));
 				$statement->bindValues($ipLockClause['parameters']);
 			}
 		} else {
@@ -940,9 +962,9 @@
 					' . $this->user_where_clause()
 			);
 			$statement->bindValues(array(
-				':ses_id'     => $this->id,
+										':ses_id' => $this->id,
-				':ses_name'   => $this->name,
+										':ses_name' => $this->name,
-			));
+								   ));
 			$statement->bindValues($ipLockClause['parameters']);
 		}
 		return $statement;
@@ -956,11 +978,11 @@
 	 * @access private
 	 */
 	protected function user_where_clause() {
-		return  (($this->enablecolumns['rootLevel']) ? 'AND '.$this->user_table.'.pid=0 ' : '').
+		return (($this->enablecolumns['rootLevel']) ? 'AND ' . $this->user_table . '.pid=0 ' : '') .
-				(($this->enablecolumns['disabled']) ? ' AND '.$this->user_table.'.'.$this->enablecolumns['disabled'].'=0' : '').
+			   (($this->enablecolumns['disabled']) ? ' AND ' . $this->user_table . '.' . $this->enablecolumns['disabled'] . '=0' : '') .
-				(($this->enablecolumns['deleted']) ? ' AND '.$this->user_table.'.'.$this->enablecolumns['deleted'].'=0' : '').
+			   (($this->enablecolumns['deleted']) ? ' AND ' . $this->user_table . '.' . $this->enablecolumns['deleted'] . '=0' : '') .
-				(($this->enablecolumns['starttime']) ? ' AND (' . $this->user_table . '.' . $this->enablecolumns['starttime'] . '<=' . $GLOBALS['EXEC_TIME'] . ')' : '') .
-				(($this->enablecolumns['endtime']) ? ' AND (' . $this->user_table . '.' . $this->enablecolumns['endtime'] . '=0 OR ' . $this->user_table . '.' . $this->enablecolumns['endtime'] . '>' . $GLOBALS['EXEC_TIME'] . ')' : '');
+			   (($this->enablecolumns['starttime']) ? ' AND (' . $this->user_table . '.' . $this->enablecolumns['starttime'] . '<=' . $GLOBALS['EXEC_TIME'] . ')' : '') .
+			   (($this->enablecolumns['endtime']) ? ' AND (' . $this->user_table . '.' . $this->enablecolumns['endtime'] . '=0 OR ' . $this->user_table . '.' . $this->enablecolumns['endtime'] . '>' . $GLOBALS['EXEC_TIME'] . ')' : '');
 	}
 
 	/**
@@ -974,7 +996,7 @@
 			'where' => '',
 			'parameters' => array(),
 		);
-		if ($this->lockIP)	{
+		if ($this->lockIP) {
 			$statementClause['where'] = 'AND (
 				' . $this->session_table . '.ses_iplock = :ses_iplock
 				OR ' . $this->session_table . '.ses_iplock=\'[DISABLED]\'
@@ -997,15 +1019,15 @@
 	protected function ipLockClause_remoteIPNumber($parts) {
 		$IP = t3lib_div::getIndpEnv('REMOTE_ADDR');
 
-		if ($parts>=4)	{
+		if ($parts >= 4) {
 			return $IP;
 		} else {
-			$parts = t3lib_div::intInRange($parts,1,3);
+			$parts = t3lib_div::intInRange($parts, 1, 3);
-			$IPparts = explode('.',$IP);
+			$IPparts = explode('.', $IP);
-			for($a=4;$a>$parts;$a--)	{
+			for ($a = 4; $a > $parts; $a--) {
-				unset($IPparts[$a-1]);
+				unset($IPparts[$a - 1]);
 			}
-			return implode('.',$IPparts);
+			return implode('.', $IPparts);
 		}
 	}
 
@@ -1026,7 +1048,7 @@
 	 * @access private
 	 */
 	protected function hashLockClause() {
-		$wherePart = 'AND '.$this->session_table.'.ses_hashlock='.intval($this->hashLockClause_getHashInt());
+		$wherePart = 'AND ' . $this->session_table . '.ses_hashlock=' . intval($this->hashLockClause_getHashInt());
 		return $wherePart;
 	}
 
@@ -1039,21 +1061,14 @@
 	protected function hashLockClause_getHashInt() {
 		$hashStr = '';
 
-		if (t3lib_div::inList($this->lockHashKeyWords,'useragent'))	$hashStr.=':'.t3lib_div::getIndpEnv('HTTP_USER_AGENT');
+		if (t3lib_div::inList($this->lockHashKeyWords, 'useragent')) {
+			$hashStr .= ':' . t3lib_div::getIndpEnv('HTTP_USER_AGENT');
+		}
 
 		return t3lib_div::md5int($hashStr);
 	}
 
 
-
-
-
-
-
-
-
-
-
 	/*************************
 	 *
 	 * Session and Configuration Handling
@@ -1068,12 +1083,16 @@
 	 * @param	array		An array you want to store for the user as session data. If $variable is not supplied (is blank string), the internal variable, ->uc, is stored by default
 	 * @return	void
 	 */
-	function writeUC($variable='')	{
+	function writeUC($variable = '') {
-		if (is_array($this->user) && $this->user[$this->userid_column])	{
+		if (is_array($this->user) && $this->user[$this->userid_column]) {
-			if (!is_array($variable)) { $variable = $this->uc; }
+			if (!is_array($variable)) {
+				$variable = $this->uc;
+			}
 
-			if ($this->writeDevLog) 	t3lib_div::devLog('writeUC: '.$this->userid_column.'='.intval($this->user[$this->userid_column]), 't3lib_userAuth');
+			if ($this->writeDevLog) {
+				t3lib_div::devLog('writeUC: ' . $this->userid_column . '=' . intval($this->user[$this->userid_column]), 't3lib_userAuth');
+			}
-			$GLOBALS['TYPO3_DB']->exec_UPDATEquery($this->user_table, $this->userid_column.'='.intval($this->user[$this->userid_column]), array('uc' => serialize($variable)));
+			$GLOBALS['TYPO3_DB']->exec_UPDATEquery($this->user_table, $this->userid_column . '=' . intval($this->user[$this->userid_column]), array('uc' => serialize($variable)));
 		}
 	}
 
@@ -1083,10 +1102,12 @@
 	 * @param	mixed		If an array, then set as ->uc, otherwise load from user record
 	 * @return	void
 	 */
-	function unpack_uc($theUC='') {
+	function unpack_uc($theUC = '') {
-		if (!$theUC) 	$theUC=unserialize($this->user['uc']);
+		if (!$theUC) {
+			$theUC = unserialize($this->user['uc']);
+		}
-		if (is_array($theUC))	{
+		if (is_array($theUC)) {
-			$this->uc=$theUC;
+			$this->uc = $theUC;
 		}
 	}
 
@@ -1099,11 +1120,13 @@
 	 * @param	boolean		If $noSave is set, then the ->uc array (which carries all kinds of user data) is NOT written immediately, but must be written by some subsequent call.
 	 * @return	void
 	 */
-	function pushModuleData($module,$data,$noSave=0)	{
+	function pushModuleData($module, $data, $noSave = 0) {
 		$this->uc['moduleData'][$module] = $data;
 		$this->uc['moduleSessionID'][$module] = $this->id;
-		if (!$noSave) $this->writeUC();
+		if (!$noSave) {
+			$this->writeUC();
-	}
+		}
+	}
 
 	/**
 	 * Gets module data for a module (from a loaded ->uc array)
@@ -1112,8 +1135,8 @@
 	 * @param	string		If $type = 'ses' then module data is returned only if it was stored in the current session, otherwise data from a previous session will be returned (if available).
 	 * @return	mixed		The module data if available: $this->uc['moduleData'][$module];
 	 */
-	function getModuleData($module,$type='')	{
+	function getModuleData($module, $type = '') {
-		if ($type!='ses' || $this->uc['moduleSessionID'][$module]==$this->id) {
+		if ($type != 'ses' || $this->uc['moduleSessionID'][$module] == $this->id) {
 			return $this->uc['moduleData'][$module];
 		}
 	}
@@ -1125,7 +1148,7 @@
 	 * @param	string		Pointer to an associative key in the session data array which is stored serialized in the field "ses_data" of the session table.
 	 * @return	mixed
 	 */
-	function getSessionData($key)	{
+	function getSessionData($key) {
 		$sesDat = unserialize($this->user['ses_data']);
 		return $sesDat[$key];
 	}
@@ -1138,27 +1161,18 @@
 	 * @param	mixed		The variable to store in index $key
 	 * @return	void
 	 */
-	function setAndSaveSessionData($key,$data)	{
+	function setAndSaveSessionData($key, $data) {
 		$sesDat = unserialize($this->user['ses_data']);
 		$sesDat[$key] = $data;
 		$this->user['ses_data'] = serialize($sesDat);
 
-		if ($this->writeDevLog) 	t3lib_div::devLog('setAndSaveSessionData: ses_id = '.$this->user['ses_id'], 't3lib_userAuth');
+		if ($this->writeDevLog) {
+			t3lib_div::devLog('setAndSaveSessionData: ses_id = ' . $this->user['ses_id'], 't3lib_userAuth');
+		}
-		$GLOBALS['TYPO3_DB']->exec_UPDATEquery($this->session_table, 'ses_id='.$GLOBALS['TYPO3_DB']->fullQuoteStr($this->user['ses_id'], $this->session_table), array('ses_data' => $this->user['ses_data']));
+		$GLOBALS['TYPO3_DB']->exec_UPDATEquery($this->session_table, 'ses_id=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->user['ses_id'], $this->session_table), array('ses_data' => $this->user['ses_data']));
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
 	/*************************
 	 *
 	 * Misc
@@ -1172,8 +1186,8 @@
 	 * @internal
 	 */
 	function getLoginFormData() {
-		$loginData=array();
+		$loginData = array();
-		if ($this->getMethodEnabled)	{
+		if ($this->getMethodEnabled) {
 			$loginData['status'] = t3lib_div::_GP($this->formfield_status);
 			$loginData['uname'] = t3lib_div::_GP($this->formfield_uname);
 			$loginData['uident'] = t3lib_div::_GP($this->formfield_uident);
@@ -1198,22 +1212,22 @@
 	 * @return	array		processed login data array
 	 * @internal
 	 */
-	function processLoginData($loginData, $security_level='') {
+	function processLoginData($loginData, $security_level = '') {
 		global $TYPO3_CONF_VARS;
 
 		$loginSecurityLevel = $security_level ? $security_level : ($TYPO3_CONF_VARS[$this->loginType]['loginSecurityLevel'] ? $TYPO3_CONF_VARS[$this->loginType]['loginSecurityLevel'] : $this->security_level);
 
 			// Processing data according to the state it was submitted in.
 			// ($loginSecurityLevel should reflect the security level used on the data being submitted in the login form)
-		if ($loginSecurityLevel=='normal') {
+		if ($loginSecurityLevel == 'normal') {
 			$loginData['uident_text'] = $loginData['uident'];
-			$loginData['uident_challenged'] = (string)md5($loginData['uname'].':'.$loginData['uident'].':'.$loginData['chalvalue']);
+			$loginData['uident_challenged'] = (string) md5($loginData['uname'] . ':' . $loginData['uident'] . ':' . $loginData['chalvalue']);
-			$loginData['uident_superchallenged'] = (string)md5($loginData['uname'].':'.(md5($loginData['uident'])).':'.$loginData['chalvalue']);
+			$loginData['uident_superchallenged'] = (string) md5($loginData['uname'] . ':' . (md5($loginData['uident'])) . ':' . $loginData['chalvalue']);
-		} elseif ($loginSecurityLevel=='challenged') {
+		} elseif ($loginSecurityLevel == 'challenged') {
 			$loginData['uident_text'] = '';
 			$loginData['uident_challenged'] = $loginData['uident'];
 			$loginData['uident_superchallenged'] = '';
-		} elseif ($loginSecurityLevel=='superchallenged') {
+		} elseif ($loginSecurityLevel == 'superchallenged') {
 			$loginData['uident_text'] = '';
 			$loginData['uident_challenged'] = '';
 			$loginData['uident_superchallenged'] = $loginData['uident'];
@@ -1223,11 +1237,11 @@
 			// Example:
 			// $this->security_level for the backend must be "superchallenged" because passwords are stored as md5-hashes in the be_users table
 			// $this->security_level for the frontend must be "normal" or "challenged" because passwords are stored as clear-text in the fe_users tables
-		if ($this->security_level=='normal') {
+		if ($this->security_level == 'normal') {
 			$loginData['uident'] = $loginData['uident_text'];
-		} elseif ($this->security_level=='challenged') {
+		} elseif ($this->security_level == 'challenged') {
 			$loginData['uident'] = $loginData['uident_challenged'];
-		} elseif ($this->security_level=='superchallenged') {
+		} elseif ($this->security_level == 'superchallenged') {
 			$loginData['uident'] = $loginData['uident_superchallenged'];
 		}
 
@@ -1257,7 +1271,7 @@
 		$authInfo['db_user']['usergroup_column'] = $this->usergroup_column;
 		$authInfo['db_user']['enable_clause'] = $this->user_where_clause();
 		$authInfo['db_user']['checkPidList'] = $this->checkPid ? $this->checkPid_value : '';
-		$authInfo['db_user']['check_pid_clause'] = $this->checkPid ? ' AND pid IN ('.$GLOBALS['TYPO3_DB']->cleanIntList($authInfo['db_user']['checkPidList']).')' : '';
+		$authInfo['db_user']['check_pid_clause'] = $this->checkPid ? ' AND pid IN (' . $GLOBALS['TYPO3_DB']->cleanIntList($authInfo['db_user']['checkPidList']) . ')' : '';
 		$authInfo['db_groups']['table'] = $this->usergroup_table;
 		return $authInfo;
 	}
@@ -1270,31 +1284,33 @@
 	 * @param	string		Alternative security_level. Used when authentication services wants to override the default.
 	 * @return	boolean		true if login data matched
 	 */
-	function compareUident($user, $loginData, $security_level='') {
+	function compareUident($user, $loginData, $security_level = '') {
 
 		$OK = FALSE;
 		$security_level = $security_level ? $security_level : $this->security_level;
 
-		switch ($security_level)	{
+		switch ($security_level) {
-			case 'superchallenged':		// If superchallenged the password in the database ($user[$this->userident_column]) must be a md5-hash of the original password.
+			case 'superchallenged': // If superchallenged the password in the database ($user[$this->userident_column]) must be a md5-hash of the original password.
 			case 'challenged':
 
 					// Check challenge stored in cookie:
-				if ($this->challengeStoredInCookie)	{
+				if ($this->challengeStoredInCookie) {
 					session_start();
 					if ($_SESSION['login_challenge'] !== $loginData['chalvalue']) {
-						if ($this->writeDevLog) 	t3lib_div::devLog('PHP Session stored challenge "'.$_SESSION['login_challenge'].'" and submitted challenge "'.$loginData['chalvalue'].'" did not match, so authentication failed!', 't3lib_userAuth', 2);
+						if ($this->writeDevLog) {
+							t3lib_div::devLog('PHP Session stored challenge "' . $_SESSION['login_challenge'] . '" and submitted challenge "' . $loginData['chalvalue'] . '" did not match, so authentication failed!', 't3lib_userAuth', 2);
+						}
 						$this->logoff();
 						return FALSE;
 					}
 				}
 
-				if ((string)$loginData['uident'] === (string)md5($user[$this->username_column].':'.$user[$this->userident_column].':'.$loginData['chalvalue']))	{
+				if ((string) $loginData['uident'] === (string) md5($user[$this->username_column] . ':' . $user[$this->userident_column] . ':' . $loginData['chalvalue'])) {
 					$OK = TRUE;
 				}
 			break;
-			default:	// normal
+			default: // normal
-				if ((string)$loginData['uident'] === (string)$user[$this->userident_column])	{
+				if ((string) $loginData['uident'] === (string) $user[$this->userident_column]) {
 					$OK = TRUE;
 				}
 			break;
@@ -1311,10 +1327,10 @@
 	 */
 	function gc() {
 		$GLOBALS['TYPO3_DB']->exec_DELETEquery(
-					$this->session_table,
-					'ses_tstamp < ' . intval($GLOBALS['EXEC_TIME'] - ($this->gc_time)) .
-						' AND ses_name = ' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->name, $this->session_table)
-				);
+			$this->session_table,
+			'ses_tstamp < ' . intval($GLOBALS['EXEC_TIME'] - ($this->gc_time)) .
+			' AND ses_name = ' . $GLOBALS['TYPO3_DB']->fullQuoteStr($this->name, $this->session_table)
+		);
 	}
 
 	/**
@@ -1346,7 +1362,7 @@
 	 * @return	void
 	 * @see t3lib_userauthgroup::writelog()
 	 */
-	function writelog($type,$action,$error,$details_nr,$details,$data,$tablename,$recuid,$recpid)	{
+	function writelog($type, $action, $error, $details_nr, $details, $data, $tablename, $recuid, $recpid) {
 	}
 
 	/**
@@ -1355,7 +1371,7 @@
 	 * @return	void
 	 * @ignore
 	 */
-	function checkLogFailures()	{
+	function checkLogFailures() {
 	}
 
 	/**
@@ -1368,7 +1384,7 @@
 	 * @internal
 	 * @see SC_mod_tools_be_user_index::compareUsers(), SC_mod_user_setup_index::simulateUser(), freesite_admin::startCreate()
 	 */
-	function setBeUserByUid($uid)	{
+	function setBeUserByUid($uid) {
 		$this->user = $this->getRawUserByUid($uid);
 	}
 
@@ -1380,7 +1396,7 @@
 	 * @see	t3lib_userAuth::setBeUserByUid()
 	 * @internal
 	 */
-	function setBeUserByName($name)	{
+	function setBeUserByName($name) {
 		$this->user = $this->getRawUserByName($name);
 	}
 
@@ -1391,10 +1407,10 @@
 	 * @return	array		user record or FALSE
 	 * @internal
 	 */
-	function getRawUserByUid($uid)	{
+	function getRawUserByUid($uid) {
 		$user = FALSE;
-		$dbres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $this->user_table, 'uid='.intval($uid).' '.$this->user_where_clause());
+		$dbres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $this->user_table, 'uid=' . intval($uid) . ' ' . $this->user_where_clause());
-		if ($dbres)	{
+		if ($dbres) {
 			$user = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($dbres);
 			$GLOBALS['TYPO3_DB']->sql_free_result($dbres);
 		}
@@ -1409,10 +1425,10 @@
 	 * @see	t3lib_userAuth::getUserByUid()
 	 * @internal
 	 */
-	function getRawUserByName($name)	{
+	function getRawUserByName($name) {
 		$user = FALSE;
-		$dbres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $this->user_table, 'username='.$GLOBALS['TYPO3_DB']->fullQuoteStr($name, $this->user_table).' '.$this->user_where_clause());
+		$dbres = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $this->user_table, 'username=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($name, $this->user_table) . ' ' . $this->user_where_clause());
-		if ($dbres)	{
+		if ($dbres) {
 			$user = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($dbres);
 			$GLOBALS['TYPO3_DB']->sql_free_result($dbres);
 		}
@@ -1420,19 +1436,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*************************
 	 *
 	 * Create/update user - EXPERIMENTAL
@@ -1448,24 +1451,24 @@
 	 * @param	string		additional WHERE clause: " AND ...
 	 * @return	mixed		user array or FALSE
 	 */
-	function fetchUserRecord($dbUser, $username, $extraWhere='' )	{
+	function fetchUserRecord($dbUser, $username, $extraWhere = '') {
 		$user = FALSE;
 
-		$usernameClause = $username ? ($dbUser['username_column'].'='.$GLOBALS['TYPO3_DB']->fullQuoteStr($username, $dbUser['table'])) : '';
+		$usernameClause = $username ? ($dbUser['username_column'] . '=' . $GLOBALS['TYPO3_DB']->fullQuoteStr($username, $dbUser['table'])) : '';
 
-		if ($username || $extraWhere)	{
+		if ($username || $extraWhere) {
 
 				// Look up the user by the username and/or extraWhere:
 			$dbres = $GLOBALS['TYPO3_DB']->exec_SELECTquery(
-						'*',
-						$dbUser['table'],
+				'*',
+				$dbUser['table'],
-							$usernameClause.
+				$usernameClause .
-							$dbUser['check_pid_clause'].
+				$dbUser['check_pid_clause'] .
-							$dbUser['enable_clause'].
+				$dbUser['enable_clause'] .
-							$extraWhere
-					);
+				$extraWhere
+			);
 
-			if ($dbres)	{
+			if ($dbres) {
 				$user = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($dbres);
 				$GLOBALS['TYPO3_DB']->sql_free_result($dbres);
 			}
@@ -1475,8 +1478,7 @@
 }
 
 
-
-if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_userauth.php'])	{
+if (defined('TYPO3_MODE') && $TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_userauth.php']) {
 	include_once($TYPO3_CONF_VARS[TYPO3_MODE]['XCLASS']['t3lib/class.t3lib_userauth.php']);
 }
 
